Domain tersuai

GET https://qrcloud.online/api/domains/
curl --request GET \
--url 'https://qrcloud.online/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Butiran Penerangan
search Pilihan String The cari string.
search_by Pilihan String Dalam bidang manakah anda mencari. Nilai yang dibenarkan adalah: host.
is_enabled Pilihan Boolean
datetime_field Pilihan String Allowed values: datetime, last_datetime
datetime_start Pilihan String Tapis hasil bermula dari tarikh ini. Format Y-m-d H:i:s.
datetime_end Pilihan String Tapis keputusan sehingga tarikh ini. Format Y-m-d H:i:s.
order_by Pilihan String Bidang untuk menyusun hasil mengikutnya. Nilai yang dibenarkan ialah: domain_id, datetime, last_datetime, host.
order_type Pilihan String Susunan keputusan. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu keputusan dari. Lalai kepada 1.
results_per_page Pilihan Integer How many results you want per halaman. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-20 05:33:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcloud.online/api/domains?page=1",
        "last": "https://qrcloud.online/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcloud.online/api/domains?page=1"
    }
}
GET https://qrcloud.online/api/domains/{domain_id}
curl --request GET \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-20 05:33:43",
    }
}
POST https://qrcloud.online/api/domains
Parameters Butiran Penerangan
host Diperlukan String -
custom_index_url Pilihan String -
custom_not_found_url Pilihan String -
curl --request POST \
--url 'https://qrcloud.online/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://qrcloud.online/api/domains/{domain_id}
Parameters Butiran Penerangan
host Pilihan String -
custom_index_url Pilihan String -
custom_not_found_url Pilihan String -
curl --request POST \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://qrcloud.online/api/domains/{domain_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \